package com.xhkjedu.smarking.mapper.scan;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 批阅扫描试卷表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsScanbatchPaperMapper extends TkMapper<MsScanbatchPaper> {

    //获取批次下所有试卷
    List<MsScanbatchPaper> listPaperByBatchid(@Param("batchid") Integer batchid);

    //查看原卷-试卷信息
    Map<String,Object> getScanPaperByMspid(@Param("mspid") Integer mspid);

    //试卷标记为异常
    Integer updatePaperErrortype(@Param("mspid") Integer mspid, @Param("errortype") Integer errortype);

    //指定试卷和考号下未处理异常数量
    Integer getErrorNumByMpidAndExamno(@Param("mpid") Integer mpid, @Param("examno") String examno);
}
