package com.xhkjedu.smarking.model.stupaper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description 阅卷试卷学生题块
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_student_block")
public class MsPaperStudentBlock extends BaseBean {
    @Id
    //阅卷试卷学生题块ID
    private Integer mpsbid;
    //试卷ID
    private Integer mpid;
    //科目ID
    private Integer subjectid;
    //题块ID
    private Integer mblockid;
    //学生ID
    private Integer studentid;
    //试卷学生ID
    private Integer mpsid;
    //学生答案图片
    private String stuanswer;
    //是否转换0未转换1已转换2转换失败
    private Integer converted;
    //是否疑难卷0默认1是
    private Integer hasproblem;
    //疑难类型1图形模糊2答题错位3没有图像4图像颠倒5其他问题
    private Integer problemtype;
    //疑难卷备注
    private String problemcomm;
    //是否优秀试卷0默认1是
    private Integer hasgood;
    //是否违规试卷0默认1是
    private Integer hasbad;
    //是否最终批改结果0否1是
    private Integer hasfinal;
    //最终批改原因1仲裁2学科组成批
    private Integer finalreason;
    //创建时间
    private Integer createtime;

    //学生题块下试题
    @Transient
    private List<MsPaperStudentQuestionMerge> questions;
    //题块类型1客观题2主观题
    @Transient
    private Integer blocktype;
}
